
<h2>Contact Form</h2>
<div class="col-12">
  <div>
    <form novalidate [formGroup]="userForm" autocomplete="off" class="example-form">
      <!-- <div class="col-6">
        <mat-form-field>
          <input matInput placeholder="Id" formControlName="id" />
        </mat-form-field>
      </div>
      <div class="col-6">
        <mat-form-field>
          <input matInput placeholder="Name" formControlName="name" />
          <mat-hint align=end>
            <div *ngIf="!userForm['controls']['name'].valid  && userForm['controls']['name'].touched" class="text-danger">
              <span *ngIf="userForm['controls']['name'].errors.required">
                                Name is required
                            </span>
              <span *ngIf="userForm['controls']['name'].errors.minlength">
                                User Name must be minimum 4 characters
                            </span>
              <span *ngIf="userForm['controls']['name'].errors.maxlength">
                                User Name cannot be more than 10 characters long
                            </span>
              <span *ngIf="userForm['controls']['name'].errors.pattern">
                                Invalid Name
                            </span>
            </div>
          </mat-hint>
        </mat-form-field>
      </div>
      <div class="col-6">
        <mat-form-field>
          <input matInput placeholder="UserName" formControlName="username" />
        </mat-form-field>
      </div>
      <div class="col-md-6">
        <mat-form-field>
          <input matInput placeholder="Email" type="text" formControlName="email" />
          <mat-hint align="end">
            <div *ngIf="!userForm['controls']['email'].valid && userForm['controls']['email'].touched" class="text-danger">
              <span *ngIf="userForm['controls']['email'].errors.required">
                                Email is required
                            </span>
              <span *ngIf="userForm['controls']['email'].errors.pattern">
                                Invalid email
                            </span>
            </div>
          </mat-hint>
        </mat-form-field>
      </div>
      <div class="col-md-6">
        <mat-form-field>
          <input matInput placeholder="Phone" formControlName="phone" />
          <mat-hint align="end">
            <div *ngIf="!userForm['controls']['phone'].valid && userForm['controls']['phone'].touched" class="text-danger">
              <span *ngIf="userForm['controls']['phone'].errors.required">
                                Phone is required
                            </span>
              <span *ngIf="userForm['controls']['phone'].errors.minlength">
                                phone must have 10 numbers
                            </span>
              <span *ngIf="userForm['controls']['phone'].errors.maxlength">
                                phone must have 12 numbers
                            </span>
              <span *ngIf="userForm['controls']['phone'].errors.pattern">
                                Invalid phone
                            </span>
            </div>
          </mat-hint>
        </mat-form-field>
      </div>
      <div class="col-md-6">
        <mat-form-field>
          <input matInput placeholder="Website" formControlName="website" />
          <mat-hint align="end">
            <div *ngIf="!userForm['controls']['website'].valid && userForm['controls']['website'].touched" class="text-danger">
              <span *ngIf="userForm['controls']['website'].errors.required">
                                Website is required
                            </span>
              <span *ngIf="userForm['controls']['website'].errors.pattern">
                                Invalid website
                            </span>
            </div>
          </mat-hint>
        </mat-form-field>
      </div> -->

        <div class="col-md-12">
        <mat-form-field>
          <input matInput placeholder="userId" formControlName="userId" />
        </mat-form-field>
      </div>
      <div class="col-md-12">
        <mat-form-field>
          <input matInput placeholder="id" formControlName="id" />
        </mat-form-field>
      </div>
      <div class="col-md-12">
        <mat-form-field>
          <input matInput placeholder="title" type="text" formControlName="title" />
        </mat-form-field>
      </div>
      <div class="col-md-12">
        <mat-form-field>
          <input matInput placeholder="completed" formControlName="completed" />
        </mat-form-field>
      </div>
      <button mat-raised-button class="toolbar-btn1 button-left col-sf" color="primary" routerLink='/user/list' (click)="submit()" [disabled]="userForm.invalid">Submit</button>
      <button mat-raised-button class="toolbar-btn1 button-left col-sf" color="primary" routerLink='/user/list'>Cancel</button>
    </form>
  </div>
   <!-- <div>
        <ul class="bubble">
            <li *ngFor="let task of tasks let i=index">
                <span>{{i+1}}.</span>
                <span>{{user.name}}</span>
            </li>
        </ul>
    </div> -->
</div>
